Storyden
Events

Event Get

Get an event by its ID.

GET
/events/{event_mark}

Get an event by its ID.

Authorization

cookiestoryden-session<token>

Path Parameters

event_mark*string

Either:

  • The unique event ID.
  • The unique event slug.
  • A string of the form -
Formatxid-prefixed-kebab-case-string

Response Body

Event get.

application/json
  1. response

An event represents any kind of event, such as an online or in-person gathering, a conference, a workshop, a webinar, etc. Events will contain a start and end timestamp and may have a location and other metadata.

Each event also gets its own thread for discussion and planning. This is automatically created for every new event and is linked to the event.

id*Identifier

A unique identifier for this resource.

Formatxid
createdAt*string

The time the resource was created.

Formatdate-time
updatedAt*string

The time the resource was updated.

Formatdate-time
deletedAt?string

The time the resource was soft-deleted.

Formatdate-time
misc?

Arbitrary extra data stored with the resource.

name*EventName
slug*EventSlug
description*EventDescription
time_range*

A time range for an event, which may span multiple days or times of day.

primary_image?
participants*array<>

A list of attendees, hosts and invites for an event.

participation_policy*EventParticipationPolicy
Value in"open""closed""invite_only"
visibility*Visibility
Value in"draft""unlisted""review""published"
location*|

An event location can be either physical or virtual. A physical location may have an address or coordinates. A virtual location may have a link.

capacity?EventCapacity

The maximum number of attendees that can attend the event.

meta?

Arbitrary metadata for the resource.

thread*

A thread reference includes most of the information about a thread but does not include the posts within the thread. Useful for rendering large lists of threads or other situations when you don't need the full data.

Example Request
curl -X GET 'https://example.com/api/events/string'
Example Response
{  "id": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "deletedAt": "2019-08-24T14:15:22Z",  "misc": {},  "name": "string",  "slug": "string",  "description": "string",  "time_range": {    "start": "2019-08-24T14:15:22Z",    "end": "2019-08-24T14:15:22Z"  },  "primary_image": {    "id": "string",    "filename": "string",    "path": "string",    "mime_type": "string",    "width": 0,    "height": 0,    "parent": {}  },  "participants": [    {      "profile": {        "id": "string",        "joined": "2019-08-24T14:15:22Z",        "suspended": "2019-08-24T14:15:22Z",        "handle": "string",        "name": "string",        "signature": "string",        "roles": [          {            "badge": true,            "default": true,            "id": "string",            "name": "string",            "colour": "string",            "meta": {}          }        ]      },      "role": "attendee",      "status": "requested"    }  ],  "participation_policy": "open",  "visibility": "draft",  "location": {    "location_type": "physical",    "name": "string",    "address": "string",    "latitude": 0,    "longitude": 0,    "url": "string"  },  "capacity": 0,  "meta": {},  "thread": {    "id": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "deletedAt": "2019-08-24T14:15:22Z",    "misc": {},    "title": "string",    "description": "string",    "slug": "string",    "author": {      "id": "string",      "joined": "2019-08-24T14:15:22Z",      "suspended": "2019-08-24T14:15:22Z",      "handle": "string",      "name": "string",      "signature": "string",      "roles": [        {          "badge": true,          "default": true,          "id": "string",          "name": "string",          "colour": "string",          "meta": {}        }      ]    },    "visibility": "draft",    "assets": [      {        "id": "string",        "filename": "string",        "path": "string",        "mime_type": "string",        "width": 0,        "height": 0,        "parent": {}      }    ],    "reacts": [      {        "id": "string",        "emoji": "string",        "author": {          "id": "string",          "joined": "2019-08-24T14:15:22Z",          "suspended": "2019-08-24T14:15:22Z",          "handle": "string",          "name": "string",          "signature": "string",          "roles": [            {              "badge": true,              "default": true,              "id": "string",              "name": "string",              "colour": "string",              "meta": {}            }          ]        }      }    ],    "collections": {      "in_collections": 0,      "has_collected": true    },    "likes": {      "likes": 0,      "liked": true    },    "meta": {},    "body": "string",    "body_links": [      {        "id": "string",        "createdAt": "2019-08-24T14:15:22Z",        "updatedAt": "2019-08-24T14:15:22Z",        "deletedAt": "2019-08-24T14:15:22Z",        "misc": {},        "url": "string",        "slug": "string",        "domain": "string",        "title": "string",        "description": "string",        "favicon_image": {          "id": "string",          "filename": "string",          "path": "string",          "mime_type": "string",          "width": 0,          "height": 0,          "parent": {}        },        "primary_image": {          "id": "string",          "filename": "string",          "path": "string",          "mime_type": "string",          "width": 0,          "height": 0,          "parent": {}        },        "liveness_status": "unknown",        "liveness_checked_at": "2019-08-24T14:15:22Z",        "scrape_status": "pending",        "scrape_attempted_at": "2019-08-24T14:15:22Z",        "scraped_at": "2019-08-24T14:15:22Z"      }    ],    "pinned": 0,    "locked_at": "2019-08-24T14:15:22Z",    "read_status": {      "last_read_at": "2019-08-24T14:15:22Z",      "replies_since": 0,      "marked_unread_at": "2019-08-24T14:15:22Z"    },    "reply_status": {      "replies": 0,      "replied": 0    },    "category": {      "id": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "deletedAt": "2019-08-24T14:15:22Z",      "misc": {},      "name": "string",      "slug": "string",      "description": "string",      "colour": "string",      "sort": 0,      "parent": "string",      "cover_image": {        "id": "string",        "filename": "string",        "path": "string",        "mime_type": "string",        "width": 0,        "height": 0,        "parent": {}      },      "children": [        {          "id": "string",          "createdAt": "2019-08-24T14:15:22Z",          "updatedAt": "2019-08-24T14:15:22Z",          "deletedAt": "2019-08-24T14:15:22Z",          "misc": {},          "postCount": 0        }      ],      "meta": {}    },    "link": {      "id": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "deletedAt": "2019-08-24T14:15:22Z",      "misc": {},      "url": "string",      "slug": "string",      "domain": "string",      "title": "string",      "description": "string",      "favicon_image": {        "id": "string",        "filename": "string",        "path": "string",        "mime_type": "string",        "width": 0,        "height": 0,        "parent": {}      },      "primary_image": {        "id": "string",        "filename": "string",        "path": "string",        "mime_type": "string",        "width": 0,        "height": 0,        "parent": {}      },      "liveness_status": "unknown",      "liveness_checked_at": "2019-08-24T14:15:22Z",      "scrape_status": "pending",      "scrape_attempted_at": "2019-08-24T14:15:22Z",      "scraped_at": "2019-08-24T14:15:22Z"    },    "lifecycle_state": "open",    "conclusion_reply_id": "string",    "tags": [      {        "name": "string",        "colour": "string",        "item_count": 0      }    ],    "last_reply_at": "2019-08-24T14:15:22Z",    "recomentations": [      {        "kind": "post",        "ref": {          "id": "string",          "createdAt": "2019-08-24T14:15:22Z",          "updatedAt": "2019-08-24T14:15:22Z",          "deletedAt": "2019-08-24T14:15:22Z",          "misc": {},          "title": "string",          "description": "string",          "slug": "string",          "author": {            "id": "string",            "joined": "2019-08-24T14:15:22Z",            "suspended": "2019-08-24T14:15:22Z",            "handle": "string",            "name": "string",            "signature": "string",            "roles": [              {                "badge": true,                "default": true,                "id": "string",                "name": "string",                "colour": "string",                "meta": {}              }            ]          },          "visibility": "draft",          "assets": [            {              "id": "string",              "filename": "string",              "path": "string",              "mime_type": "string",              "width": 0,              "height": 0,              "parent": {}            }          ],          "reacts": [            {              "id": "string",              "emoji": "string",              "author": {                "id": "string",                "joined": "2019-08-24T14:15:22Z",                "suspended": "2019-08-24T14:15:22Z",                "handle": "string",                "name": "string",                "signature": "string",                "roles": [                  {                    "badge": true,                    "default": true,                    "id": "string",                    "name": "string",                    "colour": "string",                    "meta": {}                  }                ]              }            }          ],          "collections": {            "in_collections": 0,            "has_collected": true          },          "likes": {            "likes": 0,            "liked": true          },          "meta": {},          "body": "string",          "body_links": [            {              "id": "string",              "createdAt": "2019-08-24T14:15:22Z",              "updatedAt": "2019-08-24T14:15:22Z",              "deletedAt": "2019-08-24T14:15:22Z",              "misc": {},              "url": "string",              "slug": "string",              "domain": "string",              "title": "string",              "description": "string",              "favicon_image": {                "id": "string",                "filename": "string",                "path": "string",                "mime_type": "string",                "width": 0,                "height": 0,                "parent": {}              },              "primary_image": {                "id": "string",                "filename": "string",                "path": "string",                "mime_type": "string",                "width": 0,                "height": 0,                "parent": {}              },              "liveness_status": "unknown",              "liveness_checked_at": "2019-08-24T14:15:22Z",              "scrape_status": "pending",              "scrape_attempted_at": "2019-08-24T14:15:22Z",              "scraped_at": "2019-08-24T14:15:22Z"            }          ]        }      }    ],    "replies": {      "page_size": 0,      "results": 0,      "total_pages": 0,      "current_page": 0,      "next_page": 0,      "replies": [        {          "id": "string",          "createdAt": "2019-08-24T14:15:22Z",          "updatedAt": "2019-08-24T14:15:22Z",          "deletedAt": "2019-08-24T14:15:22Z",          "misc": {},          "title": "string",          "description": "string",          "slug": "string",          "author": {            "id": "string",            "joined": "2019-08-24T14:15:22Z",            "suspended": "2019-08-24T14:15:22Z",            "handle": "string",            "name": "string",            "signature": "string",            "roles": [              {                "badge": true,                "default": true,                "id": "string",                "name": "string",                "colour": "string",                "meta": {}              }            ]          },          "visibility": "draft",          "assets": [            {              "id": "string",              "filename": "string",              "path": "string",              "mime_type": "string",              "width": 0,              "height": 0,              "parent": {}            }          ],          "reacts": [            {              "id": "string",              "emoji": "string",              "author": {                "id": "string",                "joined": "2019-08-24T14:15:22Z",                "suspended": "2019-08-24T14:15:22Z",                "handle": "string",                "name": "string",                "signature": "string",                "roles": [                  {                    "badge": true,                    "default": true,                    "id": "string",                    "name": "string",                    "colour": "string",                    "meta": {}                  }                ]              }            }          ],          "collections": {            "in_collections": 0,            "has_collected": true          },          "likes": {            "likes": 0,            "liked": true          },          "meta": {},          "body": "string",          "body_links": [            {              "id": "string",              "createdAt": "2019-08-24T14:15:22Z",              "updatedAt": "2019-08-24T14:15:22Z",              "deletedAt": "2019-08-24T14:15:22Z",              "misc": {},              "url": "string",              "slug": "string",              "domain": "string",              "title": "string",              "description": "string",              "favicon_image": {                "id": "string",                "filename": "string",                "path": "string",                "mime_type": "string",                "width": 0,                "height": 0,                "parent": {}              },              "primary_image": {                "id": "string",                "filename": "string",                "path": "string",                "mime_type": "string",                "width": 0,                "height": 0,                "parent": {}              },              "liveness_status": "unknown",              "liveness_checked_at": "2019-08-24T14:15:22Z",              "scrape_status": "pending",              "scrape_attempted_at": "2019-08-24T14:15:22Z",              "scraped_at": "2019-08-24T14:15:22Z"            }          ],          "root_id": "string",          "root_slug": "string",          "reply_to": {}        }      ]    }  }}